osg::TextureObjectSet Class Reference

`#include <Texture>`

Inheritance diagram for osg::TextureObjectSet:

## Public Member Functions

| TextureObjectSet (TextureObjectManager *parent, const Texture::TextureProfile &profile)
const Texture::TextureProfile & | getProfile () const
void | handlePendingOrphandedTextureObjects ()
void | deleteAllTextureObjects ()
void | discardAllTextureObjects ()
void | flushAllDeletedTextureObjects ()
void | discardAllDeletedTextureObjects ()
void | flushDeletedTextureObjects (double currentTime, double &availableTime)
osg::ref_ptr< Texture::TextureObject > | takeFromOrphans (Texture *texture)
osg::ref_ptr< Texture::TextureObject > | takeOrGenerate (Texture *texture)
void | moveToBack (Texture::TextureObject *to)
void | addToBack (Texture::TextureObject *to)
void | orphan (Texture::TextureObject *to)
void | remove (Texture::TextureObject *to)
void | moveToSet (Texture::TextureObject *to, TextureObjectSet *set)
unsigned int | size () const
bool | makeSpace (unsigned int &size)
bool | checkConsistency () const
TextureObjectManager * | getParent ()
unsigned int | computeNumTextureObjectsInList () const
unsigned int | getNumOfTextureObjects () const
unsigned int | getNumOrphans () const
unsigned int | getNumPendingOrphans () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TextureObjectSet ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

OpenThreads::Mutex | _mutex
TextureObjectManager * | _parent
unsigned int | _contextID
Texture::TextureProfile | _profile
unsigned int | _numOfTextureObjects
Texture::TextureObjectList | _orphanedTextureObjects
Texture::TextureObjectList | _pendingOrphanedTextureObjects
Texture::TextureObject * | _head
Texture::TextureObject * | _tail
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## TextureObjectSet()

osg::TextureObjectSet::TextureObjectSet | ( | TextureObjectManager * | parent,
|  | const Texture::TextureProfile & | profile )

Referenced by moveToSet().

## ~TextureObjectSet()

virtual osg::TextureObjectSet::~TextureObjectSet | ( |  | ) |

protected virtual

## Member Function Documentation

## addToBack()

void osg::TextureObjectSet::addToBack | ( | Texture::TextureObject * | to | ) |

## checkConsistency()

bool osg::TextureObjectSet::checkConsistency | ( |  | ) | const

## computeNumTextureObjectsInList()

unsigned int osg::TextureObjectSet::computeNumTextureObjectsInList | ( |  | ) | const

## deleteAllTextureObjects()

void osg::TextureObjectSet::deleteAllTextureObjects | ( |  | ) |

## discardAllDeletedTextureObjects()

void osg::TextureObjectSet::discardAllDeletedTextureObjects | ( |  | ) |

## discardAllTextureObjects()

void osg::TextureObjectSet::discardAllTextureObjects | ( |  | ) |

## flushAllDeletedTextureObjects()

void osg::TextureObjectSet::flushAllDeletedTextureObjects | ( |  | ) |

## flushDeletedTextureObjects()

void osg::TextureObjectSet::flushDeletedTextureObjects | ( | double | currentTime,
|  | double & | availableTime )

## getNumOfTextureObjects()

unsigned int osg::TextureObjectSet::getNumOfTextureObjects | ( |  | ) | const

inline

References _numOfTextureObjects.

## getNumOrphans()

unsigned int osg::TextureObjectSet::getNumOrphans | ( |  | ) | const

inline

References _orphanedTextureObjects.

## getNumPendingOrphans()

unsigned int osg::TextureObjectSet::getNumPendingOrphans | ( |  | ) | const

inline

References _pendingOrphanedTextureObjects.

## getParent()

TextureObjectManager * osg::TextureObjectSet::getParent | ( |  | ) |

inline

References _parent.

## getProfile()

const Texture::TextureProfile & osg::TextureObjectSet::getProfile | ( |  | ) | const

inline

References _profile.

## handlePendingOrphandedTextureObjects()

void osg::TextureObjectSet::handlePendingOrphandedTextureObjects | ( |  | ) |

## makeSpace()

bool osg::TextureObjectSet::makeSpace | ( | unsigned int & | size | ) |

References size().

## moveToBack()

void osg::TextureObjectSet::moveToBack | ( | Texture::TextureObject * | to | ) |

## moveToSet()

void osg::TextureObjectSet::moveToSet | ( | Texture::TextureObject * | to,
|  | TextureObjectSet * | set )

References TextureObjectSet().

## orphan()

void osg::TextureObjectSet::orphan | ( | Texture::TextureObject * | to | ) |

## remove()

void osg::TextureObjectSet::remove | ( | Texture::TextureObject * | to | ) |

## size()

unsigned int osg::TextureObjectSet::size | ( |  | ) | const

inline

References _numOfTextureObjects, and _profile.

Referenced by makeSpace().

## takeFromOrphans()

osg::ref_ptr< Texture::TextureObject > osg::TextureObjectSet::takeFromOrphans | ( | Texture * | texture | ) |

## takeOrGenerate()

osg::ref_ptr< Texture::TextureObject > osg::TextureObjectSet::takeOrGenerate | ( | Texture * | texture | ) |

## Member Data Documentation

## _contextID

unsigned int osg::TextureObjectSet::_contextID

protected

## _head

Texture::TextureObject* osg::TextureObjectSet::_head

protected

## _mutex

OpenThreads::Mutex osg::TextureObjectSet::_mutex

protected

## _numOfTextureObjects

unsigned int osg::TextureObjectSet::_numOfTextureObjects

protected

Referenced by getNumOfTextureObjects(), and size().

## _orphanedTextureObjects

Texture::TextureObjectList osg::TextureObjectSet::_orphanedTextureObjects

protected

Referenced by getNumOrphans().

## _parent

TextureObjectManager* osg::TextureObjectSet::_parent

protected

Referenced by getParent().

## _pendingOrphanedTextureObjects

Texture::TextureObjectList osg::TextureObjectSet::_pendingOrphanedTextureObjects

protected

Referenced by getNumPendingOrphans().

## _profile

Texture::TextureProfile osg::TextureObjectSet::_profile

protected

Referenced by getProfile(), and size().

## _tail

Texture::TextureObject* osg::TextureObjectSet::_tail

protected

The documentation for this class was generated from the following file:

- Texture